Bug 4171 - Date serialization errors in WS C tests
: Date serialization errors in WS C tests
Status: RESOLVED FIXED
: C WS Core
Serialization/Transport
: 4.0.1
: Macintosh All
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-01-24 10:09 by
Modified: 2006-01-25 10:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-24 10:09:29
In the WS C performance tests, HEAD sometimes gives:

# Test 1 got: '256' (performance-test.pl at line 119)
#   Expected: '0'
#  performance-test.pl line 119 is:     skip($no_contact, system({$test_case->[0]} (@{$test_case})), 0);
Error setting termination time: globus_soap_message_module: SOAP Fault
Fault code: Client
Fault string: globus_soap_message_module: Deserialization of {http://www.w3.org/2001/XMLSchema}
dateTime failed.
globus_soap_message_module: Deserialization of {http://docs.oasis-open.org/wsrf/2004/06/wsrf-
WS-ResourceLifetime-1.2-draft-01.xsd}RequestedTerminationTime failed.
globus_soap_message_module: Failed deserialization of content 
"1610618731--22319-536870912T184312:00:01Z" {http://www.w3.org/2001/XMLSchema}dateTime 
type.

The failed content is not constant - another test in the same suite gave
# Test 5 got: '256' (performance-test.pl at line 119 fail #5)
#   Expected: '0'
Error setting termination time: globus_soap_message_module: SOAP Fault
Fault code: Client
Fault string: globus_soap_message_module: Deserialization of {http://www.w3.org/2001/XMLSchema}
dateTime failed.
globus_soap_message_module: Deserialization of {http://docs.oasis-open.org/wsrf/2004/06/wsrf-
WS-ResourceLifetime-1.2-draft-01.xsd}RequestedTerminationTime failed.
globus_soap_message_module: Failed deserialization of content 
"1610618731--22303-536870912T184312:00:01Z" {http://www.w3.org/2001/XMLSchema}dateTime 
type.

An error from the FC3 machine looks different:
globus_soap_message_module: Failed deserialization of content 
"1900-01--1077914044T00:-1077914044:1869490176Z" {http://www.w3.org/2001/XMLSchema}
dateTime type.

RHAS3 looked slightly different also:
globus_soap_message_module: Failed deserialization of content 
"1900-01-01T00:1073827880:44Z" {http://www.w3.org/2001/XMLSchema}dateTime type.


Errors on FC4 are different:
performance-test....# Test 1 got: "139" (performance-test.pl at line 119)
#   Expected: "0"
#  performance-test.pl line 119 is:     skip($no_contact, system({$test_case->[0]} (@{$test_case})), 0);
# Test 2 got: "139" (performance-test.pl at line 119 fail #2)
#   Expected: "0"
# Test 3 got: "139" (performance-test.pl at line 119 fail #3)
#   Expected: "0"
# Test 4 got: "139" (performance-test.pl at line 119 fail #4)
#   Expected: "0"
...

This happens on nmi-build33 (ia64/sles8), nmi-0065 (ia64/sles9), nmi-build26 (ia32/fc3), nmi-
build-0056 (ia32/fc4), nmi-build5 (ia32/rhas3)
------- Comment #1 From 2006-01-25 09:40:43 -------
I just noticed that this is also happening in the branch, but on fewer
platforms.


nmi-0036 (x86 rhas4):
# . $GLOBUS_LOCATION/etc/globus-user-env.sh && . ../globus_test/testcred-env.sh
&& ./TESTS.pl

performance-test....Error getting resource properties:
globus_soap_message_module: SOAP Fault
Fault code: soapenv:Server.generalException
get-multiple-resource-pingpong: get_multiple_resource_pingpong.c:294: main:
Assertion `result == 0 
&& fault == ((void *)0)' failed.
# Test 1 got: "134" (performance-test.pl at line 115)
#   Expected: "0"
#  performance-test.pl line 115 is:     skip($no_contact,
system({$test_case->[0]} (@{$test_case})), 0);
Error setting termination time: globus_soap_message_module: SOAP Fault
Fault code: Client
Fault string: globus_soap_message_module: Deserialization of
{http://www.w3.org/2001/XMLSchema}
dateTime failed.
globus_soap_message_module: Deserialization of
{http://docs.oasis-open.org/wsrf/2004/06/wsrf-
WS-ResourceLifetime-1.2-draft-01.xsd}RequestedTerminationTime failed.
globus_soap_message_module: Failed deserialization of content
"1900-01-00T00:00:00Z" {http://
www.w3.org/2001/XMLSchema}dateTime type.


nmi-test3 (x86 rh9)
# . $GLOBUS_LOCATION/etc/globus-user-env.sh && . ../globus_test/testcred-env.sh
&& ./TESTS.pl

performance-test....# Test 1 got: '139' (performance-test.pl at line 115)
#   Expected: '0'
#  performance-test.pl line 115 is:     skip($no_contact,
system({$test_case->0} (@{$test_case})), 0);
# Test 2 got: '139' (performance-test.pl at line 115 fail #2)
#   Expected: '0'


nmi-build26 (x86 fc3)
# . $GLOBUS_LOCATION/etc/globus-user-env.sh && . ../globus_test/testcred-env.sh
&& ./TESTS.pl

performance-test....Error getting resource properties:
globus_soap_message_module: SOAP Fault
Fault code: soapenv:Server.generalException
get-multiple-resource-pingpong: get_multiple_resource_pingpong.c:294: main:
Assertion `result == 0 
&& fault == ((void *)0)' failed.
# Test 1 got: "134" (performance-test.pl at line 115)
#   Expected: "0"
#  performance-test.pl line 115 is:     skip($no_contact,
system({$test_case->[0]} (@{$test_case})), 0);
Error setting termination time: globus_soap_message_module: SOAP Fault
Fault code: Client
Fault string: globus_soap_message_module: Deserialization of
{http://www.w3.org/2001/XMLSchema}
dateTime failed.
globus_soap_message_module: Deserialization of
{http://docs.oasis-open.org/wsrf/2004/06/wsrf-
WS-ResourceLifetime-1.2-draft-01.xsd}RequestedTerminationTime failed.
globus_soap_message_module: Failed deserialization of content
"1900-01-00T00:00:00Z" {http://
www.w3.org/2001/XMLSchema}dateTime type.


Those are the only three machines that fail the test in the branch.
------- Comment #2 From 2006-01-25 10:35:27 -------
The bug was in the test case (code in an assertion is not run in non-debug
builds). Fixed in branch and trunk.

joe